Subject: Re: Installing git-svn on Linux without root

From: Jakub Narebski <[email-masked]>
Date: Sat, 04 Feb 2012 03:32:18 -0800 (PST)

Andrew Keller <[email-masked]> writes:

> I am attempting to install git, including the ability to access
> subversion repositories on a Linux machine.  I do not have root
> access on the machine, so I prepended my PATH with a folder in my
> home directory.
> 
> Installing Git worked just fine, but when I try to clone a
> subversion repository, I get:
> 
> $ git svn clone file:///svn --prefix=svn/ --no-metadata --trunk=dba/trunk --branches=dba/branches --tags=dba/tags dba
> Initialized empty Git repository in /home/kelleran/Documents/togit/converted/dba/.git/
> Can't locate SVN/Core.pm in @INC (@INC contains: /homedirs/kelleran/local/lib/perl5/site_perl/5.8.8 /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/5.8.8 .) at /homedirs/kelleran/local/libexec/git-core/git-svn line 41.
> 
> Google suggested that the above error could be due to missing perl
> bindings.  So, I installed swig, and followed the instructions for
> installing the perl bindings:
> http://svn.apache.org/repos/asf/subversion/trunk/subversion/bindings/swig/INSTALL
> (I used the alternate build steps, since I had to set the prefix).
> 
> Unfortunately, I still get exactly the same error.  So, I looked to
> see whether or not the missing library was installed:
> 
> $ find ~/local -iname Core.pm
> /homedirs/kelleran/local/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/SVN/Core.pm
> 
> So, the module does exist, but not in a location included by @INC.

>>From the above error message it looks like

  /homedirs/kelleran/local/lib/perl5/site_perl/5.8.8

is in @INC, but

  /homedirs/kelleran/local/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/

is not.  Strange.

Do you use local::lib?

> This sounds like a simple misconfiguration during the installation
> on my part, but after reading the manuals and searching the web, I
> was unable to find a parameter that gets git to be able to see the
> perl bindings.

Add missing directory to PATH-like PERL5LIB environment variable
before running git-svn.
 
-- 
Jakub Narebski